#!/bin/bash

# Copyright xmuspeech (Author: Wenxuan Hu, 2021-07-20)
# Corresponding email: olr_challenge@163.com
# Please refer to http://olr.cslt.org for more info

. ./path.sh || exit 1;
. ./cmd.sh || exit 1;

dir=$1
rtask=$2

echo Preparing $rtask dataset

rtask_dir=data/${rtask}
mkdir -p ${rtask_dir}
cp ${dir}/text ${rtask_dir}/text
cp ${dir}/utt2spk ${rtask_dir}/utt2spk

find ${dir}/audio -iname "*.wav" | awk '{print $0}' | sort -u > ${rtask_dir}/wav.flist
n=`cat ${rtask_dir}/wav.flist | wc -l`
echo found $n

sed -e 's/\.wav//' ${rtask_dir}/wav.flist | awk -F '/' '{print $NF}'  > ${rtask_dir}/utt.list || exit 1
paste -d'   ' ${rtask_dir}/utt.list ${rtask_dir}/wav.flist | sort -u > ${rtask_dir}/wav.scp
utils/utt2spk_to_spk2utt.pl ${rtask_dir}/utt2spk > ${rtask_dir}/spk2utt
